import { baseItemSchema } from "./_shared.mjs"

/**
 * DataModel pour les items de type "vehicle" (véhicules).
 * @augments {foundry.abstract.TypeDataModel}
 */
export default class VermineVehicleData extends foundry.abstract.TypeDataModel {
  /** @override */
  static LOCALIZATION_PREFIXES = ["VERMINE.item.vehicle"]

  /** @override */
  static defineSchema() {
    const fields = foundry.data.fields
    const reqInt = { required: true, nullable: false, integer: true }
    return {
      ...baseItemSchema(),
      mobility: new fields.NumberField({ ...reqInt, initial: 3, min: 0 })
    }
  }
}
